Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Types | Public Slots | Public Member Functions | Private Attributes | List of all members
DecimateThread Class Reference
Inheritance diagram for DecimateThread:

## Classes
struct | Params

## Public Types
typedef OpenMesh::Decimater::BaseDecimaterT < TriMesh > | BaseDecimaterType
typedef OpenMesh::Decimater::DecimaterT < TriMesh > | DecimaterType
typedef OpenMesh::Decimater::McDecimaterT < TriMesh > | McDecimaterType
typedef OpenMesh::Decimater::MixedDecimaterT < TriMesh > | MixedDecimaterType

## Public Slots
void | decimate ()
Public Slots inherited from OpenFlipperThread
void | slotCancel (QString _jobId)
| Cancel this job. More...
void | startProcessing ()
| start processing More...

## Public Member Functions
virtual void | notify (size_t _step)
| callback More...
virtual bool | abort () const
| Abort callback. More...
void | cancel ()
| Cancel the job. More...
| DecimateThread (Params _param, QString _jobId, int _objId)
BaseDecimaterType * | baseDecimater ()
int | objectId () const
Public Member Functions inherited from OpenFlipperThread
| OpenFlipperThread (QString _jobId)
void | run ()
| Main processing. More...
QString | jobId ()
| get JobId get the Id of the current Job
Public Member Functions inherited from OpenMesh::Decimater::Observer
| Observer (size_t _notificationInterval)
virtual | ~Observer ()
| Destructor.
size_t | get_interval () const
| Get the interval between notification steps.
void | set_interval (size_t _notificationInterval)
| Set the interval between notification steps.

## Private Attributes
bool | abort_
int | maxCollapses_
Params | param_
QString | jobId_
BaseDecimaterType * | baseDec_
int | objId_

## Additional Inherited Members
Signals inherited from OpenFlipperThread
void | startProcessingInternal ()
| start processing of a function More...
void | state (QString _jobId, int _state)
| Tell core about job state. More...
void | function (const QString _jobId="")
| job function More...
void | finished (QString _jobId)
| job done More...

## Detailed Description

Definition at line 63 of file DecimateThread.hh.

## Member Function Documentation

bool DecimateThread::abort | ( |  | ) | const
| virtual

Abort callback.

After each notification, this function is called by the decimater. If the function returns true, the decimater will stop at a consistent state. Otherwise it will continue.

Returns
  abort Yes or No

Reimplemented from OpenMesh::Decimater::Observer.

Definition at line 58 of file DecimateThread.cc.

void DecimateThread::cancel | ( |  | ) |
| virtual

Cancel the job.

Reimplement this function to correctly terminate your job. If your job is able to terminate correctly then you can reimplement this function and stop your process.

Reimplemented from OpenFlipperThread.

Definition at line 89 of file DecimateThread.cc.

void DecimateThread::notify | ( | size_t | _step | ) |
| virtual

callback

This function has to be overloaded. It will be called regularly during the decimation process and will return the current step.

Parameters

  _step | Current step of the decimater

Implements OpenMesh::Decimater::Observer.

Definition at line 53 of file DecimateThread.cc.

The documentation for this class was generated from the following files:

- Plugin-Decimater/DecimateThread.hh
- Plugin-Decimater/DecimateThread.cc